dtpdmd(user cmd)

NAME
dtpdmd — Print Dialog Manager daemon

SYNOPSIS

dtpdmd [-d display] [-a selection] [-p pdm] [-P pdm] [-s] [-l logfile]

DESCRIPTION

The dtpdmd command uses the Print Dialog Manager Selection Protocol to start a Print Dialog Manager (PDM) on behalf of an application.

dtpdmd is a long-lived daemon process that receives client requests for a PDM, uses some lookup rules, and then starts an appropriate PDM to service the request. When the PDM finishes, control returns to dtpdmd and dtpdmd in turn responds to the client with the final status.

  PDMD/PDM Protocol

dtpdmd uses a specific protocol to communicate with the PDM. Communication to the PDM is done via a standardized command line and environment. Communication from the PDM is done via standardized exit codes.

  Standardized Command Line

The standardized command line is as follows:

dt-pdm-command [dt-pdm-options] -vdisplay vdpy -window vwid -pdisplay pdpy -pcontext pcid

dt-pdm-command
    Specifies the path for the PDM executable. It is derived by the dtpdmd from either the -p or -P option.

dt-pdm-options
    Specifies options that may have accompanied the dt-pdm-command, whether specified on the dtpdmd command line by the -p or -P option or from other sources.

-vdisplay vdpy
    Specifies the display connection to the Video X-Server.

-window vwid
    Specifies the window id on the Video X-Server to which the PDM’s dialogs should be posted as transient windows.

-pdisplay pdpy
    Specifies the display connection to the Print X-Server.

-pcontext pcid
    Specifies the print context id on the Print X-Server. The PDM uses this id to gain access to the print context being used by the requesting application.

  Standardized Exit Codes

The standardized exit codes (defined as integer constants in Dt/dtpdmd.h) are as follows:

PDM_EXIT_OK
    The PDM is telling the PDMD that the user selected OK to dismiss the PDM.

PDM_EXIT_CANCEL
    The PDM is telling the PDMD that the user selected CANCEL to dismiss the PDM.

DM_EXIT_VXAUTH
    The PDM is telling the PDMD that it did not have proper authority to make a display connection on the Video X-Server.

PDM_EXIT_PXAUTH
    The PDM is telling the PDMD that it did not have proper authority to make a display connection to the Print X-Server.

PDM_EXIT_ERROR
    The PDM is telling the PDMD that it encountered an error.

all other values
    The PDMD treats all unknown return values the same as PDM_EXIT_ERROR. Such return values are likely from uncontrollable exit conditions often found in other libraries (for example, untrapped XIO errors from libX).

OPTIONS

The following options are available:

-d display
    Specifies the display connection to an X-Server upon which an X-selection will be created and managed for requests. If specified, it overrides the environment variable XPDMDISPLAY.

-a selection
    Specifies an alternative X-selection name for dtpdmd to create and manage. If specified, it overrides the environment variable XPDMSELECTION. By default, the selection name is PDM_MANAGER.

-p pdm
    Specifies a PDM execution string to use if no other PDM execution string can be derived, usually from the Server Attribute dt-pdm-command from the X-Server. By default, the execution string is dtpdm. All execution strings are applied against the current search path.

-P pdm
    Specifies an alternative PDM execution string that overrides all other sources of such execution strings. All execution strings are applied against the current search path.

-s  Instructs dtpdmd to turn on the security exchange portion of the PDM Selection Protocol. By default, dtpdmd does not exchange security information with an application over the wire, so the appearance of auto hosting cannot be done.

-l logfile
    Specifies a file for dtpdmd to use for logging errors and warnings. Entries are time-stamped and may be generated by dtpdmd or any child PDM via stderr. The previous contents of the log file are destroyed. By default, /dev/null is used.

ENVIRONMENT VARIABLES

Prior to starting a PDM, the dtpdmd may first modify the following environment variable:

XAUTHORITY
    If the dtpdmd has come into possession of X-authority information that the PDM will need, it sets this environment variable so that the PDM will automatically have access to the proper X-authority information.

In addition, the dtpdmd may set a locale hint passed to it by the PDM Selection Protocol from the client prior to starting a PDM. On POSIX systems, setlocale(3C) will be used.

RESOURCES

None.

ACTIONS/MESSAGES

None.

ERRORS/WARNINGS

None.

FILES

None.

EXAMPLES

None.

SEE ALSO

dtpdm1